MoreTextInternal::Topic Struct Reference documentation

MoreTextInternal::Topic Struct Reference

Internal: the topic data of a MoreText. More...

## Public Types
enum | AttachementType { AOutline =0 , AComment , ASpeakerNote }
| an enum used to define the different type of data attached to a topic More...

## Public Member Functions
| Topic ()
| constructor

## Public Attributes
MWAWEntry | m_entry
| the text entry
int | m_level
| the topic level
bool | m_isCloned
| true if the entry is cloned
int | m_cloneId
| if not 0, indicate that we must cloned the cloneId^th clone
bool | m_hasList [3]
| a list of boolean use to note if a topic is associated with a Outline, ...
int | m_attachList [3]
| a list of id to retrieve the attachment
int | m_numPageBreak
| the number of pages in the sub list
bool | m_isStartSlide
| true if we start a new slide
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Topic const &topic)
| operator<<

## Detailed Description

Internal: the topic data of a MoreText.

## Member Enumeration Documentation

## ◆ AttachementType

enum MoreTextInternal::Topic::AttachementType

an enum used to define the different type of data attached to a topic

Enumerator
AOutline |
AComment |
ASpeakerNote |

## Constructor & Destructor Documentation

## ◆ Topic()

MoreTextInternal::Topic::Topic | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Topic const & | topic )
| friend

operator<<

## Member Data Documentation

## ◆ m_attachList

int MoreTextInternal::Topic::m_attachList[3]

a list of id to retrieve the attachment

Referenced by Topic().

## ◆ m_cloneId

int MoreTextInternal::Topic::m_cloneId

if not 0, indicate that we must cloned the cloneId^th clone

Referenced by operator<<, MoreText::readTopic(), and Topic().

## ◆ m_entry

MWAWEntry MoreTextInternal::Topic::m_entry

the text entry

Referenced by MoreText::readTopic(), and Topic().

## ◆ m_extra

std::string MoreTextInternal::Topic::m_extra

extra data

Referenced by operator<<, MoreText::readTopic(), and Topic().

## ◆ m_hasList

bool MoreTextInternal::Topic::m_hasList[3]

a list of boolean use to note if a topic is associated with a Outline, ...

Referenced by operator<<, MoreText::readTopic(), and Topic().

## ◆ m_isCloned

bool MoreTextInternal::Topic::m_isCloned

true if the entry is cloned

Referenced by operator<<, MoreText::readTopic(), and Topic().

## ◆ m_isStartSlide

bool MoreTextInternal::Topic::m_isStartSlide

true if we start a new slide

Referenced by operator<<, MoreText::readTopic(), and Topic().

## ◆ m_level

int MoreTextInternal::Topic::m_level

the topic level

Referenced by operator<<, MoreText::readTopic(), and Topic().

## ◆ m_numPageBreak

int MoreTextInternal::Topic::m_numPageBreak

the number of pages in the sub list

Referenced by Topic().

The documentation for this struct was generated from the following file:

- MoreText.cxx